## org.apache.cassandra.thrift
Enum RequestType

    java.lang.Object
      java.lang.Enum<RequestType>
          org.apache.cassandra.thrift.RequestType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequestType>

    public enum RequestType

extends java.lang.Enum<RequestType>

Enum Constant Summary
`READ`
`WRITE`

Method Summary
`static RequestType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequestType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ

    public static final RequestType READ

### WRITE

    public static final RequestType WRITE

Method Detail

### values

    public static RequestType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RequestType c : RequestType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RequestType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2013 The Apache Software Foundation